/*
 * Copyright 2017  Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>
#include <widget_service_internal.h>

#define ROOT_USER 0

static void print_usage()
{
	printf("[usage] widget_recovery <option> ...\n");
	printf(" - available option list \n\n");
	printf(" init\n\n");
	printf(" - end option list\n");
}

int main(int argc, char **argv)
{
	if (getuid() != ROOT_USER) {
		printf("Only root user can run this tool\n");
		return -1;
	}

	if (argc > 1) {
		if (strcmp(argv[1], "init") != 0) {
			print_usage();
			exit(0);
		}
		widget_service_check_db_integrity(true);
	} else {
		widget_service_check_db_integrity(false);
	}
	return 0;
}
